package com.hfkj.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * bs_gas_order_spread
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class BsGasOrderSpread implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 订单号
     */
    private String orderNo;

    /**
     * 获得佣金用户id
     */
    private Long gainsRebateUserId;

    /**
     * 获得佣金比例（%）
     */
    private BigDecimal gainsRebateRate;

    /**
     * 获得佣金金额
     */
    private BigDecimal gainsRebateAmount;

    /**
     * 获得佣金(一级)用户id
     */
    private Long gainsRebateOneUserId;

    /**
     * 获得佣金(一级)比例（%）
     */
    private BigDecimal gainsRebateOneRate;

    /**
     * 获得佣金(一级)金额
     */
    private BigDecimal gainsRebateOneAmount;

    /**
     * 获得佣金(二级)用户id
     */
    private Long gainsRebateTwoUserId;

    /**
     * 获得佣金(二级)比例（%）
     */
    private BigDecimal gainsRebateTwoRate;

    /**
     * 获得佣金(二级)金额
     */
    private BigDecimal gainsRebateTwoAmount;

    /**
     * 状态 0：删除 1：正常
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    private String ext1;

    private String ext2;

    private String ext3;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Long getGainsRebateUserId() {
        return gainsRebateUserId;
    }

    public void setGainsRebateUserId(Long gainsRebateUserId) {
        this.gainsRebateUserId = gainsRebateUserId;
    }

    public BigDecimal getGainsRebateRate() {
        return gainsRebateRate;
    }

    public void setGainsRebateRate(BigDecimal gainsRebateRate) {
        this.gainsRebateRate = gainsRebateRate;
    }

    public BigDecimal getGainsRebateAmount() {
        return gainsRebateAmount;
    }

    public void setGainsRebateAmount(BigDecimal gainsRebateAmount) {
        this.gainsRebateAmount = gainsRebateAmount;
    }

    public Long getGainsRebateOneUserId() {
        return gainsRebateOneUserId;
    }

    public void setGainsRebateOneUserId(Long gainsRebateOneUserId) {
        this.gainsRebateOneUserId = gainsRebateOneUserId;
    }

    public BigDecimal getGainsRebateOneRate() {
        return gainsRebateOneRate;
    }

    public void setGainsRebateOneRate(BigDecimal gainsRebateOneRate) {
        this.gainsRebateOneRate = gainsRebateOneRate;
    }

    public BigDecimal getGainsRebateOneAmount() {
        return gainsRebateOneAmount;
    }

    public void setGainsRebateOneAmount(BigDecimal gainsRebateOneAmount) {
        this.gainsRebateOneAmount = gainsRebateOneAmount;
    }

    public Long getGainsRebateTwoUserId() {
        return gainsRebateTwoUserId;
    }

    public void setGainsRebateTwoUserId(Long gainsRebateTwoUserId) {
        this.gainsRebateTwoUserId = gainsRebateTwoUserId;
    }

    public BigDecimal getGainsRebateTwoRate() {
        return gainsRebateTwoRate;
    }

    public void setGainsRebateTwoRate(BigDecimal gainsRebateTwoRate) {
        this.gainsRebateTwoRate = gainsRebateTwoRate;
    }

    public BigDecimal getGainsRebateTwoAmount() {
        return gainsRebateTwoAmount;
    }

    public void setGainsRebateTwoAmount(BigDecimal gainsRebateTwoAmount) {
        this.gainsRebateTwoAmount = gainsRebateTwoAmount;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        BsGasOrderSpread other = (BsGasOrderSpread) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getOrderNo() == null ? other.getOrderNo() == null : this.getOrderNo().equals(other.getOrderNo()))
            && (this.getGainsRebateUserId() == null ? other.getGainsRebateUserId() == null : this.getGainsRebateUserId().equals(other.getGainsRebateUserId()))
            && (this.getGainsRebateRate() == null ? other.getGainsRebateRate() == null : this.getGainsRebateRate().equals(other.getGainsRebateRate()))
            && (this.getGainsRebateAmount() == null ? other.getGainsRebateAmount() == null : this.getGainsRebateAmount().equals(other.getGainsRebateAmount()))
            && (this.getGainsRebateOneUserId() == null ? other.getGainsRebateOneUserId() == null : this.getGainsRebateOneUserId().equals(other.getGainsRebateOneUserId()))
            && (this.getGainsRebateOneRate() == null ? other.getGainsRebateOneRate() == null : this.getGainsRebateOneRate().equals(other.getGainsRebateOneRate()))
            && (this.getGainsRebateOneAmount() == null ? other.getGainsRebateOneAmount() == null : this.getGainsRebateOneAmount().equals(other.getGainsRebateOneAmount()))
            && (this.getGainsRebateTwoUserId() == null ? other.getGainsRebateTwoUserId() == null : this.getGainsRebateTwoUserId().equals(other.getGainsRebateTwoUserId()))
            && (this.getGainsRebateTwoRate() == null ? other.getGainsRebateTwoRate() == null : this.getGainsRebateTwoRate().equals(other.getGainsRebateTwoRate()))
            && (this.getGainsRebateTwoAmount() == null ? other.getGainsRebateTwoAmount() == null : this.getGainsRebateTwoAmount().equals(other.getGainsRebateTwoAmount()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getOrderNo() == null) ? 0 : getOrderNo().hashCode());
        result = prime * result + ((getGainsRebateUserId() == null) ? 0 : getGainsRebateUserId().hashCode());
        result = prime * result + ((getGainsRebateRate() == null) ? 0 : getGainsRebateRate().hashCode());
        result = prime * result + ((getGainsRebateAmount() == null) ? 0 : getGainsRebateAmount().hashCode());
        result = prime * result + ((getGainsRebateOneUserId() == null) ? 0 : getGainsRebateOneUserId().hashCode());
        result = prime * result + ((getGainsRebateOneRate() == null) ? 0 : getGainsRebateOneRate().hashCode());
        result = prime * result + ((getGainsRebateOneAmount() == null) ? 0 : getGainsRebateOneAmount().hashCode());
        result = prime * result + ((getGainsRebateTwoUserId() == null) ? 0 : getGainsRebateTwoUserId().hashCode());
        result = prime * result + ((getGainsRebateTwoRate() == null) ? 0 : getGainsRebateTwoRate().hashCode());
        result = prime * result + ((getGainsRebateTwoAmount() == null) ? 0 : getGainsRebateTwoAmount().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", orderNo=").append(orderNo);
        sb.append(", gainsRebateUserId=").append(gainsRebateUserId);
        sb.append(", gainsRebateRate=").append(gainsRebateRate);
        sb.append(", gainsRebateAmount=").append(gainsRebateAmount);
        sb.append(", gainsRebateOneUserId=").append(gainsRebateOneUserId);
        sb.append(", gainsRebateOneRate=").append(gainsRebateOneRate);
        sb.append(", gainsRebateOneAmount=").append(gainsRebateOneAmount);
        sb.append(", gainsRebateTwoUserId=").append(gainsRebateTwoUserId);
        sb.append(", gainsRebateTwoRate=").append(gainsRebateTwoRate);
        sb.append(", gainsRebateTwoAmount=").append(gainsRebateTwoAmount);
        sb.append(", status=").append(status);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}